return {
	"saghen/blink.cmp",
	dependencies = { "rafamadriz/friendly-snippets" },
	version = "1.*",
	opts = {
		keymap = {
			preset = "super-tab",
			["<C-CR>"] = { "show", "show_documentation", "hide_documentation" },
			["<C-space>"] = {},
		},
		completion = {
			-- Disable showing for all alphanumeric keywords by default. Prefer LSP specific trigger
			-- characters.
			-- trigger = { show_on_keyword = false },
			-- Controls whether the documentation window will automatically show when selecting a completion item
			documentation = {
				auto_show = true,
				auto_show_delay_ms = 500,
				window = {
					border = "rounded",
				},
			},
			menu = {
				border = "rounded",
				draw = { gap = 2 },
			},
		},
		sources = {
			-- add lazydev to your completion providers
			default = { "lazydev", "lsp", "path", "snippets", "buffer" },
			providers = {
				lazydev = {
					name = "LazyDev",
					module = "lazydev.integrations.blink",
					-- make lazydev completions top priority (see `:h blink.cmp`)
					score_offset = 100,
				},
			},
		},
		signature = { enabled = true },
	},
}
